ru.bitel.oss.kernel.entity.common.service

## Interface EntityService

-     public interface EntityService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `entitySpecAttrDelete(int id)`
    `EntitySpecAttr` | `entitySpecAttrGet(int id)`
    `java.util.List<EntitySpecAttr>` | `entitySpecAttrList()`
    `java.util.List<EntitySpecAttr>` | `entitySpecAttrListByType(int type)`
    `void` | `entitySpecAttrListItemDelete(int entitySpecId, int id)`
    `java.util.List<EntitySpecAttrListItem>` | `entitySpecAttrListItemList(int entitySpecId)`
    `int` | `entitySpecAttrListItemUpdate(int entitySpecId, EntitySpecAttrListItem item)`
    `int` | `entitySpecAttrUpdate(EntitySpecAttr e)`
    `EntitySpec` | `entitySpecGet(int id)`
    `java.util.List<EntitySpec>` | `entitySpecList()`
    `int` | `entitySpecUpdate(EntitySpec e)`

- - ### Method Detail

    - #### entitySpecList

          java.util.List<EntitySpec> entitySpecList()
                                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### entitySpecGet

          EntitySpec entitySpecGet(int id)
                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### entitySpecUpdate

          int entitySpecUpdate(EntitySpec e)
                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### entitySpecAttrList

          java.util.List<EntitySpecAttr> entitySpecAttrList()
                                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### entitySpecAttrListByType

          java.util.List<EntitySpecAttr> entitySpecAttrListByType(int type)
                                                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### entitySpecAttrGet

          EntitySpecAttr entitySpecAttrGet(int id)
                                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### entitySpecAttrUpdate

          int entitySpecAttrUpdate(EntitySpecAttr e)
                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### entitySpecAttrListItemList

          java.util.List<EntitySpecAttrListItem> entitySpecAttrListItemList(int entitySpecId)
                                                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### entitySpecAttrListItemUpdate

          int entitySpecAttrListItemUpdate(int entitySpecId,
                                           EntitySpecAttrListItem item)
                                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### entitySpecAttrListItemDelete

          void entitySpecAttrListItemDelete(int entitySpecId,
                                            int id)
                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### entitySpecAttrDelete

          void entitySpecAttrDelete(int id)
                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`